JMSBridge (ActiveMQ Artemis Web 1.1.0.wildfly-008 API)
Date: 2015-10-29

org.apache.activemq.artemis.jms.bridge

## Interface JMSBridge

- All Superinterfaces:
    org.apache.activemq.artemis.core.server.ActiveMQComponent
  All Known Implementing Classes:
    JMSBridgeImpl

      public interface JMSBridge
      extends org.apache.activemq.artemis.core.server.ActiveMQComponent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientID()`
    `long` | `getFailureRetryInterval()`
    `int` | `getMaxBatchSize()`
    `long` | `getMaxBatchTime()`
    `int` | `getMaxRetries()`
    `String` | `getPasswordCodec()`
    `QualityOfServiceMode` | `getQualityOfServiceMode()`
    `String` | `getSelector()`
    `DestinationFactory` | `getSourceDestinationFactory()`
    `String` | `getSourcePassword()`
    `String` | `getSourceUsername()`
    `String` | `getSubscriptionName()`
    `DestinationFactory` | `getTargetDestinationFactory()`
    `String` | `getTargetPassword()`
    `String` | `getTargetUsername()`
    `boolean` | `isAddMessageIDInHeader()`
    `boolean` | `isFailed()`
    `boolean` | `isPaused()`
    `boolean` | `isUseMaskedPassword()`
    `void` | `pause()`
    `void` | `resume()`
    `void` | `setAddMessageIDInHeader(boolean value)`
    `void` | `setClientID(String clientID)`
    `void` | `setFailureRetryInterval(long interval)`
    `void` | `setMaxBatchSize(int size)`
    `void` | `setMaxBatchTime(long time)`
    `void` | `setMaxRetries(int retries)`
    `void` | `setPasswordCodec(String codec)`
    `void` | `setQualityOfServiceMode(QualityOfServiceMode mode)`
    `void` | `setSelector(String selector)`
    `void` | `setSourceConnectionFactoryFactory(ConnectionFactoryFactory cff)`
    `void` | `setSourceDestinationFactory(DestinationFactory dest)`
    `void` | `setSourcePassword(String pwd)`
    `void` | `setSourceUsername(String name)`
    `void` | `setSubscriptionName(String subname)`
    `void` | `setTargetConnectionFactoryFactory(ConnectionFactoryFactory cff)`
    `void` | `setTargetDestinationFactory(DestinationFactory dest)`
    `void` | `setTargetPassword(String pwd)`
    `void` | `setTargetUsername(String name)`
    `void` | `setTransactionManager(TransactionManager tm)`
    `void` | `setUseMaskedPassword(boolean maskPassword)`

    - ### Methods inherited from interface org.apache.activemq.artemis.core.server.ActiveMQComponent

      `isStarted, start, stop`

- - ### Method Detail

    - #### pause

          void pause()
              throws Exception

      Throws:
        `Exception`

    - #### resume

          void resume()
               throws Exception

      Throws:
        `Exception`

    - #### getSourceDestinationFactory

          DestinationFactory getSourceDestinationFactory()

    - #### setSourceDestinationFactory

          void setSourceDestinationFactory(DestinationFactory dest)

    - #### getTargetDestinationFactory

          DestinationFactory getTargetDestinationFactory()

    - #### setTargetDestinationFactory

          void setTargetDestinationFactory(DestinationFactory dest)

    - #### getSourceUsername

          String getSourceUsername()

    - #### setSourceUsername

          void setSourceUsername(String name)

    - #### getSourcePassword

          String getSourcePassword()

    - #### setSourcePassword

          void setSourcePassword(String pwd)

    - #### getTargetUsername

          String getTargetUsername()

    - #### setTargetUsername

          void setTargetUsername(String name)

    - #### getTargetPassword

          String getTargetPassword()

    - #### setTargetPassword

          void setTargetPassword(String pwd)

    - #### getSelector

          String getSelector()

    - #### setSelector

          void setSelector(String selector)

    - #### getFailureRetryInterval

          long getFailureRetryInterval()

    - #### setFailureRetryInterval

          void setFailureRetryInterval(long interval)

    - #### getMaxRetries

          int getMaxRetries()

    - #### setMaxRetries

          void setMaxRetries(int retries)

    - #### getQualityOfServiceMode

          QualityOfServiceMode getQualityOfServiceMode()

    - #### setQualityOfServiceMode

          void setQualityOfServiceMode(QualityOfServiceMode mode)

    - #### getMaxBatchSize

          int getMaxBatchSize()

    - #### setMaxBatchSize

          void setMaxBatchSize(int size)

    - #### getMaxBatchTime

          long getMaxBatchTime()

    - #### setMaxBatchTime

          void setMaxBatchTime(long time)

    - #### getSubscriptionName

          String getSubscriptionName()

    - #### setSubscriptionName

          void setSubscriptionName(String subname)

    - #### getClientID

          String getClientID()

    - #### setClientID

          void setClientID(String clientID)

    - #### isAddMessageIDInHeader

          boolean isAddMessageIDInHeader()

    - #### setAddMessageIDInHeader

          void setAddMessageIDInHeader(boolean value)

    - #### isPaused

          boolean isPaused()

    - #### isFailed

          boolean isFailed()

    - #### setSourceConnectionFactoryFactory

          void setSourceConnectionFactoryFactory(ConnectionFactoryFactory cff)

    - #### setTargetConnectionFactoryFactory

          void setTargetConnectionFactoryFactory(ConnectionFactoryFactory cff)

    - #### setTransactionManager

          void setTransactionManager(TransactionManager tm)

    - #### isUseMaskedPassword

          boolean isUseMaskedPassword()

    - #### setUseMaskedPassword

          void setUseMaskedPassword(boolean maskPassword)

    - #### getPasswordCodec

          String getPasswordCodec()

    - #### setPasswordCodec

          void setPasswordCodec(String codec)

Copyright © 2015. All rights reserved.